Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.model
Class ClassicTreeNodeDataModelImpl

    java.lang.Object
      javax.faces.model.DataModel<E>
          org.ajax4jsf.model.ExtendedDataModel<V>
              org.richfaces.model.TreeSequenceKeyModel<V>
                  org.richfaces.model.NodesTreeSequenceKeyModel<org.richfaces.model.TreeNode>
                      org.richfaces.model.ClassicTreeNodeDataModelImpl

All Implemented Interfaces:
  java.lang.Iterable<org.richfaces.model.TreeNode>, org.richfaces.model.TreeDataModel<org.richfaces.model.TreeNode>

    public class ClassicTreeNodeDataModelImpl

extends NodesTreeSequenceKeyModel<org.richfaces.model.TreeNode>

Author:
  Nick Belaevski

Field Summary

Fields inherited from interface org.richfaces.model.TreeDataModel
`SEPARATOR_CHAR`

Constructor Summary
`ClassicTreeNodeDataModelImpl()`

Method Summary
`java.util.Iterator<org.richfaces.model.TreeDataModelTuple>` | `children()`
`javax.faces.convert.Converter` | `getRowKeyConverter()`
`java.lang.Object` | `getWrappedData()`
`boolean` | `isLeaf()`
`protected org.richfaces.model.TreeNode` | `setupChildContext(java.lang.Object segment)`
`void` | `setWrappedData(java.lang.Object data)`

Methods inherited from class org.richfaces.model.NodesTreeSequenceKeyModel
`createSnapshot, getRootNode, restoreFromSnapshot, setRootNode, setupKey`

Methods inherited from class org.richfaces.model.TreeSequenceKeyModel
`getData, getParentRowKey, getRowCount, getRowData, getRowIndex, getRowKey, isDataAvailable, isRowAvailable, setData, setRowIndex, setRowKey, setRowKeyAndData, walk`

Methods inherited from class javax.faces.model.DataModel
`addDataModelListener, getDataModelListeners, iterator, removeDataModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassicTreeNodeDataModelImpl

    public ClassicTreeNodeDataModelImpl()

Method Detail

### isLeaf

    public boolean isLeaf()

### children

    public java.util.Iterator<org.richfaces.model.TreeDataModelTuple> children()

### setupChildContext

    protected org.richfaces.model.TreeNode setupChildContext(java.lang.Object segment)

  Specified by:
    `setupChildContext` in class `NodesTreeSequenceKeyModel<org.richfaces.model.TreeNode>`

### getWrappedData

    public java.lang.Object getWrappedData()

  Specified by:
    `getWrappedData` in interface `org.richfaces.model.TreeDataModel<org.richfaces.model.TreeNode>`
  Specified by:
    `getWrappedData` in class `javax.faces.model.DataModel<org.richfaces.model.TreeNode>`

### setWrappedData

    public void setWrappedData(java.lang.Object data)

  Specified by:
    `setWrappedData` in interface `org.richfaces.model.TreeDataModel<org.richfaces.model.TreeNode>`
  Specified by:
    `setWrappedData` in class `javax.faces.model.DataModel<org.richfaces.model.TreeNode>`

### getRowKeyConverter

    public javax.faces.convert.Converter getRowKeyConverter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.